<!-- IGAC proyecto SNC

@author juan.agudelo
@description Pantalla de gestión desbloqueo predio
@version 2.0	 	
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="todos">

    <p:messages id="msgsDP3" showDetail="false" globalOnly="false" />

    <h:form id="gestionArchivosFormUP3" prependId="false"
            enctype="multipart/form-data">
        <h:panelGrid columns="2" cellspacing="7">

            <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
            <h:outputText
                value="Las extensiones válidas del archivo de soporte son pdf, tif, png, jpg y jpeg."
                styleClass="noteTextStyle" />
            <p:spacer height="0" width="30" />
            <p:fileUpload id="fus"
                          fileUploadListener="#{desbloqueoPredio.archivoUpload}"
                          required="true" dragDropSupport="true"
                          invalidFileMessage="El tipo de archivo seleccionado no es valido"
                          label="Cargar documento soporte" auto="true"
                          invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                          uploadLabel="Subir documento" cancelLabel="Cancelar" mode="advanced"
                          sizeLimit="1024000" allowTypes="/(\.|\/)(pdf|dwg|tif|png|jp[e]?g)$/"
                          update=":msgsDP3,panelDocSop3, fus" onstart="statusDialog2.show();"
                          oncomplete="statusDialog2.hide();" />

        </h:panelGrid>

        <h:panelGrid columns="3" cellspacing="7" id="panelDocSop3">
            <h:outputLabel value="Documento de soporte: "
                           rendered="#{not empty desbloqueoPredio.documentoSoporteDesbloqueo.archivo}"
                           styleClass="outputLabelStyle" />

            <p:commandLink
                value="#{desbloqueoPredio.documentoSoporteDesbloqueo.archivo}"
                update=":docVDocSoporte:docViewerCCForm"
                styleClass="commandLinkStyle"
                oncomplete="docViewerDSWV.show();statusDialog2.hide()"
                onstart="statusDialog2.show()"
                rendered="#{not empty desbloqueoPredio.documentoSoporteDesbloqueo.archivo}">
                <f:setPropertyActionListener
                    target="#{previsualizacionDocumento.documentoTemporal}"
                    value="#{desbloqueoPredio.documentoSoporteDesbloqueo}" />
            </p:commandLink>
        </h:panelGrid>

    </h:form>

    <h:form id="solicitarDPForm" prependId="false">

        <h:panelGrid columns="5" cellspacing="7">
            <h:outputLabel value="Fecha Desmarcación: "
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            <p:spacer width="1" height="0" />
            <p:calendar id="fechaFinal" 
                        value="#{desbloqueoPredio.prediosDesbloqueoSeleccionados.fechaDesbloqueo}"
                        navigator="true" label="Fecha final" required="true"
                        pattern="#{general.formatoFechaHora}" showOn="both"
                        title="#{general.formatoFechaUsuario}" tabindex="0"
                        effect="slideDown" size="15" mindate="#{general.fechaActual}">
            </p:calendar>
            <p:message for="fechaFinal" display="icon"></p:message>
        </h:panelGrid>

        <h:panelGrid columns="2" cellspacing="7">
            <h:outputLabel value="Motivo del Desmarcación: "
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGrid>

        <h:panelGrid columns="3">
            <h:inputTextarea onkeydown="controlarNroChars(this, 250, true)"
                             onkeyup="controlarNroChars(this, 250, true)"
                             value="#{desbloqueoPredio.prediosDesbloqueoSeleccionados.motivoDesbloqueo}"
                             id="otros" label="Motivo Desmarcación" required="true"
                             rows="2" cols="50" />
            <p:message for="otros" display="icon"></p:message>
        </h:panelGrid>

        <p:spacer width="0" height="13" />
        <p:outputPanel layout="block" style="text-align:left">

            <p:spacer width="13" height="0" />
            <p:commandButton value="Guardar"
                             action="#{desbloqueoPredio.desbloquearPB}" id="btnGuardars"
                             update=":bloquearPredioForm,:msgsDP3,solicitarDPForm, :bloquearPredioForm:res"
                             icon="ui-icon-disk" onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, guardarPredioDesbloqueoWV, true);" />

            <p:spacer width="13" height="0" />
            <p:commandButton value="Cerrar" immediate="true" icon="ui-icon-close"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();gestionarDesbloqueoWV.hide();" />

        </p:outputPanel>

    </h:form>
</h:panelGrid>

